%define name    zile
%define version 2.2.6
%define release %mkrel 1
%define Summary Zile Is Lossy Emacs

Summary:        %Summary
Name:           %name
Epoch:		1
Version:        %version
Release:        %release
License:        BSD
Group:          Editors
URL:            http://zile.sourceforge.net/
Source0:        http://osdn.dl.sourceforge.net/sourceforge/zile/%name-%version.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
BuildRequires:  ncurses-devel
BuildRequires:	texinfo
BuildRequires:	tetex-latex
BuildRequires:	termcap-devel


%description
Zile is another Emacs-clone. Zile is a customizable, self-documenting
real-time open-source display editor.

Zile was written to be as similar as possible to Emacs; every Emacs user
should feel at home with Zile. Zile features

    * Small but fast and powerful. It is very useful for small footprint
      installations (like on floppy disk) or quick editing sessions.
    * 8-bit clean. Zile can operate with binary files.
    * Looks like Emacs. Most Zile key sequences and function names are
      identical to Emacs ones.
    * Multi buffer editing w/multi level undo. Zile can open an infinite
      number of files and can record an infinite sequence of undo
      operations.
    * Multi window. Zile can display multiple windows on the screen.
    * Killing, yanking and registers. The typical killing, yanking and
      register features of Emacs are available under Zile.
    * Minibuffer completion. Zile can complete the user written text.
      This is very useful for M-x commands and for selecting files.
    * Colors. Zile makes use of the color capatibilities of the terminal
      if available.
    * Source highlighting (``C'', ``C++'', and shell scripts). Zile can
      highlight ``C'', ``C++'' source files and shell scripts for
      better reading.
    * Auto fill (word wrap). Zile automatically breaks the lines when
      they become too wide (if the Auto Fill Mode is enabled).



%prep
%setup

%build
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/usr/share/info
%makeinstall mandir=%buildroot/%_mandir/

%post
%_install_info        %name.info.*

%preun
%_remove_install_info %name.info.*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING INSTALL NEWS README
%_datadir/%name
%_mandir/man1/%name.1.*
%_infodir/%name.info.*

%changelog
* Wed Sep 15 2005 Franck Villaume <fvill@mandriva.org> 1:2.2.6-1mdk
- new release

* Thu Aug 25 2005 Franck Villaume <fvill@mandriva.org> 1:2.2.5-1mdk
- new release

* Tue Aug 02 2005 Franck Villaume <fvill@mandriva.org> 1:2.2.2-1mdk
- new release

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1:2.2.1-1mdk
- New release 2.2.1

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1:2.0.4-1mdk
- new release

* Mon Apr 18 2005 Franck Villaume <fvill@mandriva.org> 2.0.4-1mdk
- new release

* Sun Mar 20 2005 Franck Villaume <fvill@mandrake.org> 2.0.2-1mdk
- new release

* Sun Mar 13 2005 Franck Villaume <fvill@freesurf.fr> 2.0.0-2mdk
- add missing build requires

* Tue Feb 08 2005 Franck Villaume <fvill@freesurf.fr> 2.0.0-1mdk
- new release

* Sat Dec 04 2004 Franck Villaume <fvill@freesurf.fr> 2.0-0.a1.1mdk
- new release
- new BuildRequires

* Thu Sep 02 2004 Franck Villaume <fvill@freesurf.fr> 1.7-0.b3.2mdk
- fix BuildRequires

* Thu Aug 03 2004 Franck Villaume <fvill@freesurf.fr> 1.7-0.b3.1mdk
- new release 1.7-b3

* Fri Aug 15 2003 Han Boetes <han@linux-mandrake.com> 2.6.1-1mdk
- Initial release for mandrake.

